#version 330 core

layout(location = 0) in vec3 aPos;
layout(location = 1) in vec3 aNormal;

out vec3 vNormal;
out vec3 vWorldPos;

uniform mat4 uMVP;

void main() {
    vNormal = aNormal;
    vWorldPos = aPos;
    gl_Position = uMVP * vec4(aPos, 1.0);
}
